[arch-commits] Commit in menu-cache/repos (extra-i686 extra-i686/PKGBUILD)

Juergen Hoetzel juergen at archlinux.org
Sun Nov 8 11:44:08 EST 2009


    Date: Sunday, November 8, 2009 @ 11:44:07
  Author: juergen
Revision: 58481

Merged revisions 37091,45602,58480 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/menu-cache/trunk

........
  r37091 | juergen | 2009-04-30 18:27:49 +0200 (Do, 30 Apr 2009) | 1 line
  
  fix #14505 and disable static build
........
  r45602 | juergen | 2009-07-13 07:43:06 +0200 (Mo, 13 Jul 2009) | 1 line
  
  fix #15491
........
  r58480 | juergen | 2009-11-08 17:43:08 +0100 (So, 08 Nov 2009) | 1 line
  
  update to 0.2.6
........

Modified:
  menu-cache/repos/extra-i686/	(properties)
  menu-cache/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)


Property changes on: menu-cache/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /menu-cache/trunk:1-37043
   + /menu-cache/trunk:1-58480

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-08 16:43:08 UTC (rev 58480)
+++ extra-i686/PKGBUILD	2009-11-08 16:44:07 UTC (rev 58481)
@@ -1,21 +1,23 @@
 # Maintainer: Juergen Hoetzel <juergen at archlinux.org>
 
 pkgname=menu-cache
-pkgver=0.2.5
+pkgver=0.2.6
 pkgrel=1
 pkgdesc="Caches to speed up freedesktop.org's application menus use."
 arch=('i686' 'x86_64')
 license=('GPL2')
 url="http://lxde.org/"
 groups=('lxde')
-depends=('intltool')
+depends=('intltool' 'glib2')
+options=('!libtool')
 makedepends=('pkgconfig')
 source=(http://downloads.sourceforge.net/sourceforge/lxde/$pkgname-$pkgver.tar.gz)
-md5sums=('4537aba7abb379d5a055b2da5adb51bd')
+md5sums=('114498e13525dd13cbfdce513d22b083')
 
 build() {
   cd "$srcdir/$pkgname-$pkgver"
-  ./configure --prefix=/usr --sysconfdir=/etc || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc \
+  --libexecdir=/usr/lib/menu-cache --disable-static || return 1
   make || return 1
   make DESTDIR="$pkgdir" install || return 1
 }



More information about the arch-commits mailing list